import { AfterViewInit, EventEmitter, OnChanges, OnDestroy, Renderer2, SimpleChanges } from '@angular/core';
import { IMasonryGalleryImage } from './masonry-gallery-models';
export declare class MasonryGalleryComponent implements AfterViewInit, OnDestroy, OnChanges {
    private renderer;
    images: IMasonryGalleryImage[];
    width: number;
    gutter: number;
    verticalGutter: number;
    imageClasses: string[];
    clickImage: EventEmitter<IMasonryGalleryImage>;
    removeComplete: EventEmitter<any[]>;
    layoutComplete: EventEmitter<any[]>;
    readonly galleryGuid: string;
    private readonly mansonryItemSelectorClass;
    private readonly activeImages;
    private msnry?;
    private grid?;
    private changesToProcess?;
    private viewReady;
    constructor(renderer: Renderer2);
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    handleClick(image: IMasonryGalleryImage): void;
    ngAfterViewInit(): void;
    addImages(images: IMasonryGalleryImage[]): void;
    removeImages(images: IMasonryGalleryImage[]): void;
    private processImages;
    private getAddedAndRemovesImages;
    private initMasonry;
    private removeImageFromGallery;
    private addImagesToGallery;
    private getImageClass;
    private getImageId;
}
